Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-38543

Connecting to a versioned LocalStorage DB with the wrong version makes it impossible to connect in the future

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: P4: Low
    • Resolution: Unresolved
    • Affects Version/s: 5.2.1
    • Fix Version/s: None
    • Labels:
      None
    • Environment:
      Arch Linux

      Description

      The local storage facility exposed to QML has a bug; if you attempt to open a versioned connection, the version is wrong, and you try to handle that error, the connection is still stored in a connection pool, but in an unopened state. The next time you attempt to connect, no matter if you have the version right or not, the database handle will complain about being unopened.

      A patch can be found in these two repositories (I found it impossible to create a merge request against Qt on Gitorious):

      https://qt.gitorious.org/qt/hoelzros-qtdeclarative
      https://qt.gitorious.org/qt/hoelzros-qtquick1

      See also: http://qt-project.org/forums/viewthread/38458/

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            aalpert Alan Alpert
            Reporter:
            hoelzro Rob Hoelz
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes